- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

# filterbasedtriggeringpolicy.h File Reference

## Namespaces
namespace | log4cxx
namespace | log4cxx::helpers
namespace | log4cxx::rolling
## Classes
class | FilterBasedTriggeringPolicy
| FilterBasedTriggeringPolicy determines if rolling should be triggered by evaluating the current message against a set of filters. More...
## Defines
#define | _LOG4CXX_ROLLING_FILTER_BASED_TRIGGERING_POLICY_H
## Functions
| log4cxx::rolling::LOG4CXX_PTR_DEF (FilterBasedTriggeringPolicy)

## Define Documentation

#define _LOG4CXX_ROLLING_FILTER_BASED_TRIGGERING_POLICY_H